package com.xhpc.activity.service;

import com.xhpc.activity.domain.XhpcActivityFormulaDomain;
import com.xhpc.activity.domain.XhpcActivityInternetDomain;
import com.xhpc.common.core.domain.R;

import java.util.List;
import java.util.Map;

public interface XhpcActivityInternetService {

    List<XhpcActivityInternetDomain> getPage(Map<String, Object> params);

    List<Map<String, Object>> getNameList(Map<String, Object> params);

    XhpcActivityInternetDomain getDomainByPk(Integer activityId);

    R insertDomain(XhpcActivityInternetDomain domain);

    boolean updateDomain(XhpcActivityInternetDomain domain);

    boolean updateDomainStatus(XhpcActivityInternetDomain domain);

    boolean checkDomain(XhpcActivityInternetDomain domain);

    boolean deleteByPk(Integer activityId);

}
